package org.verohallinto.apitamoclient.dto;

import org.verohallinto.ilmoitin.gen.cxf.apitamopki.DeliveryDataRetrievalResponse;
import org.verohallinto.ilmoitin.gen.cxf.apitamopki.DeliveryDataSendResponse;
import org.verohallinto.ilmoitin.gen.jaxb.tamo.en.CheckupResult;

import java.io.File;

/**
 * Response information.
 */
public class ResponseDTO {

    public int resCode;
    public DeliveryDataSendResponse sendResponse;
    public DeliveryDataRetrievalResponse retrResponse;
    public CheckupResult checkupResult;
    public File result;
    public String errorField;

    public ResponseDTO() {
    }

    @Override
    public String toString() {
        return "ResponseDTO{" +
               "resCode=" + resCode +
               ", sendResponse=" + (sendResponse != null) +
               ", retrResponse=" + (retrResponse != null) +
               ", checkupResult=" + (checkupResult != null) +
               ", result=" + result +
               ", errorField='" + errorField + "'" +
               '}';
    }
}
